Get a prompt

GET
/prompts/{promptId}

Retrieve a specific prompt by ID

Authorization

BearerAuth
headerAuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

Path Parameters

promptId*string

The ID of the prompt

Formatuuid

Response Body

Prompt details

application/json
  1. response
id*string

Unique identifier for the prompt

Formatuuid
brandId*string

Brand identifier this prompt belongs to

value*string

The actual prompt text

enabled*boolean

Whether the prompt is currently enabled

tags*array<string>

User-defined tags for categorizing this prompt

systemTags*array<string>

Auto-computed system tags (e.g., 'branded', 'unbranded'). Read-only.

createdAt*string

Timestamp when the prompt was created

Formatdate-time
updatedAt*string

Timestamp when the prompt was last updated

Formatdate-time
premiumModels*array<string>

Models this prompt is tracked on grounded. Each entry spends one premium pairing.

Example Request
curl -X GET 'https://app.elmohq.com/api/v1/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "brandId": "string",  "value": "string",  "enabled": true,  "tags": [    "string"  ],  "systemTags": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "premiumModels": [    "string"  ]}